ISVNGNUDiffGenerator (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.admin.ISVNGNUDiffGenerator interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.admin
Interface ISVNGNUDiffGenerator

All Superinterfaces:
  ISVNDiffGenerator

public interface ISVNGNUDiffGenerator
extends ISVNDiffGenerator

The ISVNGNUDiffGenerator is the interface for diff generators used in diff operations of SVNLookClient.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary
`static int` | `ADDED` The type of modification denoting addition.
`static int` | `COPIED` The type of modification denoting copying.
`static int` | `DELETED` The type of modification denoting deletion.
`static int` | `MODIFIED` The type of modification denoting modification.
`static int` | `NO_DIFF` The type of modification denoting that no diff is available after a header.

Method Summary
`void` | `displayHeader(int type, String path, String copyFromPath, long copyFromRevision, OutputStream result)` Informs this diff generator about a change to a path.

Methods inherited from interface org.tmatesoft.svn.core.wc.ISVNDiffGenerator
`createTempDirectory, displayAddedDirectory, displayDeletedDirectory, displayFileDiff, displayPropDiff, getEncoding, getEOL, init, isDiffAdded, isDiffCopied, isDiffDeleted, isDiffUnversioned, isForcedBinaryDiff, setBasePath, setDiffAdded, setDiffCopied, setDiffDeleted, setDiffUnversioned, setEncoding, setEOL, setForcedBinaryDiff`

Field Detail

### ADDED

    public static final int ADDED

  The type of modification denoting addition.

  See Also:
    Constant Field Values

### DELETED

    public static final int DELETED

  The type of modification denoting deletion.

  See Also:
    Constant Field Values

### MODIFIED

    public static final int MODIFIED

  The type of modification denoting modification.

  See Also:
    Constant Field Values

### COPIED

    public static final int COPIED

  The type of modification denoting copying.

  See Also:
    Constant Field Values

### NO_DIFF

    public static final int NO_DIFF

  The type of modification denoting that no diff is available after a header. Called if a header is written, but differences can not be written due to some reasons. Default generator simple prints a new line symbol when handling this type of change.

  See Also:
    Constant Field Values

Method Detail

### displayHeader

    public void displayHeader(int type,
                              String path,
                              String copyFromPath,
                              long copyFromRevision,
                              OutputStream result)
                       throws SVNException

  Informs this diff generator about a change to a path.

  Parameters:
    `type` - one of static fields of this interface
    `path` - a changed path
    `copyFromPath` - a copy-from source path if `path` is the result of a copy
    `copyFromRevision` - a copy-from source revision if `path` is the result of a copy
    `result` - an output stream where a header is to be written
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.